<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Usage (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Usage (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/attributes/MultipleCandidatesDetails.html" title="interface in org.gradle.api.attributes"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/attributes/Usage.html" target="_top">Frames</a></li>
<li><a href="Usage.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.attributes</div>
<h2 title="Interface Usage" class="title">Interface Usage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">Usage</span>
extends <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></pre>
<div class="block">Represents the usage of a configuration. Typical usages include compilation or runtime.
 This interface allows the user to customize usages by implementing this interface.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#C_PLUS_PLUS_API">C_PLUS_PLUS_API</a></strong></code>
<div class="block">The C++ API of a library, packaged as header directories.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_API">JAVA_API</a></strong></code>
<div class="block">The Java API of a library, packaged as class path elements, either a JAR or a classes directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_API_CLASSES">JAVA_API_CLASSES</a></strong></code>
<div class="block">The Java API of a library, packaged as class path elements, either a JAR or a classes directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_RUNTIME">JAVA_RUNTIME</a></strong></code>
<div class="block">The Java runtime of a component, packaged as class path elements, either a JAR or a classes directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_RUNTIME_CLASSES">JAVA_RUNTIME_CLASSES</a></strong></code>
<div class="block">The Java runtime classes of a component, packaged as class path elements, either a JAR or a classes directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_RUNTIME_JARS">JAVA_RUNTIME_JARS</a></strong></code>
<div class="block">The Java runtime of a component, packaged as JAR only.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#JAVA_RUNTIME_RESOURCES">JAVA_RUNTIME_RESOURCES</a></strong></code>
<div class="block">The Java runtime resources of a component, packaged as class path elements, either a JAR or a classes directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#NATIVE_LINK">NATIVE_LINK</a></strong></code>
<div class="block">The native link files of a library, packaged as static or shared library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#NATIVE_RUNTIME">NATIVE_RUNTIME</a></strong></code>
<div class="block">The native runtime files of a library, packaged as a shared library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#SWIFT_API">SWIFT_API</a></strong></code>
<div class="block">The Swift API of a library, packaged as swiftmodule files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;<a href="../../../../org/gradle/api/attributes/Usage.html" title="interface in org.gradle.api.attributes">Usage</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/attributes/Usage.html#USAGE_ATTRIBUTE">USAGE_ATTRIBUTE</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="USAGE_ATTRIBUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>USAGE_ATTRIBUTE</h4>
<pre>static final&nbsp;<a href="../../../../org/gradle/api/attributes/Attribute.html" title="class in org.gradle.api.attributes">Attribute</a>&lt;<a href="../../../../org/gradle/api/attributes/Usage.html" title="interface in org.gradle.api.attributes">Usage</a>&gt; USAGE_ATTRIBUTE</pre>
</li>
</ul>
<a name="JAVA_API">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_API</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_API</pre>
<div class="block">The Java API of a library, packaged as class path elements, either a JAR or a classes directory.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_API">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVA_API_CLASSES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_API_CLASSES</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_API_CLASSES</pre>
<div class="block">The Java API of a library, packaged as class path elements, either a JAR or a classes directory. Should not include resources, but may.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_API_CLASSES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVA_RUNTIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_RUNTIME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_RUNTIME</pre>
<div class="block">The Java runtime of a component, packaged as class path elements, either a JAR or a classes directory.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_RUNTIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVA_RUNTIME_JARS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_RUNTIME_JARS</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_RUNTIME_JARS</pre>
<div class="block">The Java runtime of a component, packaged as JAR only. Must not include classes directories.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_RUNTIME_JARS">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVA_RUNTIME_CLASSES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_RUNTIME_CLASSES</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_RUNTIME_CLASSES</pre>
<div class="block">The Java runtime classes of a component, packaged as class path elements, either a JAR or a classes directory. Should not include resources, but may.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_RUNTIME_CLASSES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVA_RUNTIME_RESOURCES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVA_RUNTIME_RESOURCES</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVA_RUNTIME_RESOURCES</pre>
<div class="block">The Java runtime resources of a component, packaged as class path elements, either a JAR or a classes directory. Should not include classes, but may.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.JAVA_RUNTIME_RESOURCES">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="C_PLUS_PLUS_API">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>C_PLUS_PLUS_API</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> C_PLUS_PLUS_API</pre>
<div class="block">The C++ API of a library, packaged as header directories.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.C_PLUS_PLUS_API">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NATIVE_LINK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATIVE_LINK</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NATIVE_LINK</pre>
<div class="block">The native link files of a library, packaged as static or shared library.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.NATIVE_LINK">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="NATIVE_RUNTIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NATIVE_RUNTIME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NATIVE_RUNTIME</pre>
<div class="block">The native runtime files of a library, packaged as a shared library.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.NATIVE_RUNTIME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="SWIFT_API">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SWIFT_API</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SWIFT_API</pre>
<div class="block">The Swift API of a library, packaged as swiftmodule files.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.1</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.attributes.Usage.SWIFT_API">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/attributes/MultipleCandidatesDetails.html" title="interface in org.gradle.api.attributes"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/attributes/Usage.html" target="_top">Frames</a></li>
<li><a href="Usage.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
